package net.matuschek.jobo.task;

import org.apache.tools.ant.Task;

import net.matuschek.http.HttpToolCallback;

/**
 * ANT Log HttpTool callback that prints information on stdout
 *
 * @author Didier Donsez
 */
public class LogHttpToolCallBack implements HttpToolCallback {

	Task task;
	int size = 0;

	public LogHttpToolCallBack(Task task) {
		this.task = task;
	}

	public void setHttpToolDocUrl(String url) {
		task.log("URL: " + url);
	}

	public void setHttpToolDocSize(int size) {
		this.size = size;
	}

	public void setHttpToolDocCurrentSize(int size) {
	}

	public void setHttpToolStatus(int status) {
	}
}
