/**
 * HelloInteractive
 * simple java program.
 * Copyright (C) 2003  Didier Donsez
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Contact: Didier Donsez (Didier.Donsez@ieee.org)
 * Contributor(s):
 *
**/
package hello;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 *  simple program to hello people
 *
 *@author     donsez
 *@version    1.0
 */
public class HelloInteractive {

	/**
	 *  a delay to pause the program
	 */
	public static final int DELAY=1000;

	/**
	 *  the main method
	 *
	 *@param  argv  list of the name of people to hello
	 */
	public static void main(String argv[]) {
		int times = 1;
		//while (true) {
			int len = argv.length;

			if (len == 0) {
  				BufferedReader br=new BufferedReader(new InputStreamReader(System.in));
  				String line=null;
				try {
					line=br.readLine();
				} catch(IOException ioe) {
					ioe.printStackTrace(System.err);
				}
				System.out.println(times + ": Hello "+line+" !");
			} else {
				for (int i=0; i < len; i++) {
					System.out.println(times + ": Hello " + argv[i] + " !");
				}
			}
			util.Util.pause(DELAY);
			times++;
		//}
	}
}


