<?xml version="1.0"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:template match="/">
        <xsl:apply-templates/>
  </xsl:template>

    <xsl:template match="rowset">
		<xsl:choose>
			<xsl:when test="row">
				<xsl:for-each select="row[1]">
					<xsl:for-each select="*">
						<xsl:choose>
							<xsl:when test="position() != 1">;</xsl:when>
						</xsl:choose>
						<xsl:value-of select='name(.)'/>
					</xsl:for-each>
				</xsl:for-each>
				<xsl:apply-templates/>
			</xsl:when>
		</xsl:choose>
    </xsl:template>

	<xsl:template match="row">
		<xsl:for-each select="*">
			<xsl:choose>
				<xsl:when test="position() != 1">;</xsl:when>
			</xsl:choose>
			<xsl:value-of select='.'/>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
