<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/1999/xhtml"
>
 
  <xsl:template match="/">
    <html>
      <xsl:apply-templates select="*"/>
    </html>
  </xsl:template>

  <xsl:template match="recette">
	<head>
   		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1"/>
   		<TITLE><xsl:value-of select="@titre"/></TITLE>
   		<LINK REL="STYLESHEET" TYPE="text/css" HREF="style.css"/>
	</head>
	<body class="index">

	<h1><xsl:value-of select="auteur/@grade"/> <xsl:value-of select="auteur"/></h1>
	<h1 class="title"><xsl:value-of select="@titre"/></h1>

	<h2>Ingrdients</h2>
	<xsl:apply-templates select="*/ingredient"/>

	<h2>Instructions</h2>
	<xsl:apply-templates select="*/instruction"/>

	<h2>Cuisson</h2>
	<xsl:apply-templates select="*/cuisson"/>

	<p><font size="-1"><i><xsl:apply-templates select="service"/></i></font></p>
	<hr/>
	<p><font size="-1"><i><xsl:apply-templates select="remarque"/></i></font></p>
    </body>
  </xsl:template>


  <xsl:template match="ingredient">
	<li>
	<xsl:value-of select="."/> : <i><xsl:value-of select="@mesure"/> <xsl:value-of select="@unite"/></i> 
    	</li>
  </xsl:template>

  <xsl:template match="instruction">
	<li>
	<xsl:value-of select="."/>
    	</li>
  </xsl:template>
  
  <xsl:template match="cuisson">
	<li>
	Dure: <xsl:value-of select="duree/@valeur"/> <xsl:value-of select="duree/@unite"/>
	Temprature: <xsl:value-of select="temperature/@valeur"/> <xsl:value-of select="temperature/@unite"/>
    	</li>
  </xsl:template>
  
    <xsl:template match="remarque|service">
	<xsl:value-of select="."/>
  </xsl:template>
  
  <xsl:template match="*">
  </xsl:template>

</xsl:stylesheet>
