<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="iso-8859-1"/>
  <xsl:param name="ACTION"></xsl:param>
  <xsl:template match="/">
    <html>
      <head>
        <title>Customer Service</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
      </head>
      <body>
        <table width="841" height="451" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="378" height="35" valign="top">
              <font size="+2" color="#FF6600">Customer Service</font>
            </td>
            <td rowspan="3" width="200" align="right" valign="top"></td>
          </tr>

          <tr>
            <td height="405" valign="top">
              <p>We value your comments and questions. Please fill out the form below and we&apos;ll be sure to answer as quick as 
              possible.</p>

              <form method="post" name="form1" action="{$ACTION}">
                <input type="hidden" name="ReportName" value="Customer_Service"/>
                <table align="center">
                  <tr valign="baseline">
                    <td width="71" align="right" nowrap="nowrap" class="tableHeading">First Name:</td>
                    <td width="273">
                      <input type="text" name="FIRST_NAME" value="" size="32"/>
                    </td>
                  </tr>

                  <tr valign="baseline">
                    <td class="tableHeading" nowrap="nowrap" align="right">Last Name:</td>
                    <td>
                      <input type="text" name="LAST-NAME" value="" size="32"/>
                    </td>
                  </tr>

                  <tr valign="baseline">
                    <td class="tableHeading" nowrap="nowrap" align="right">Adress:</td>
                    <td>
                      <input type="text" name="ADDRESS" value="" size="32"/>
                    </td>
                  </tr>

                  <tr valign="baseline">
                    <td class="tableHeading" nowrap="nowrap" align="right">Telephone:</td>
                    <td>
                      <input type="text" name="TELEPHONE" value="" size="32"/>
                    </td>
                  </tr>

                  <tr valign="baseline">
                    <td class="tableHeading" nowrap="nowrap" align="right">Email:</td>
                    <td>
                      <input type="text" name="EMAIL" value="" size="32"/>
                    </td>
                  </tr>

                  <tr valign="baseline">
                    <td class="tableHeading" nowrap="nowrap" align="right" valign="top">Comments:</td>
                    <td>
                      <textarea name="COMMENTS" cols="32" rows="5"></textarea>
                    </td>
                  </tr>

                  <tr valign="baseline">
                    <td class="tableHeading" nowrap="nowrap" align="right" valign="top">&#160;</td>
                    <td>
                      <br/>
                      Are you satisfied with our service?
                      <br/>
                      <label>
                        <input type="radio" name="satisfaction" value="yes" checked="yes"/>
                        Yes</label>
                      <br/>
                      <label>
                        <input type="radio" name="satisfaction" value="no"/>
                        No</label>
                      <br/>
                    </td>
                  </tr>

                  <tr valign="baseline">
                    <td class="tableHeading" nowrap="nowrap" align="right" valign="top">&#160;</td>
                    <td>
                      <br/>
                      <input type="checkbox" name="GET_NEWSLETTER" value="checkbox"/>
                      Yes, I wish to receive a newsletter</td>
                  </tr>

                  <tr valign="baseline">
                    <td class="tableHeading" nowrap="nowrap" align="right" valign="top">&#160;</td>
                    <td>
                      <br/>
                      <input type="submit" name="Submit" value="Submit"/>
                    </td>
                  </tr>
                </table>
              </form>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c)1998-2002 eXcelon Corp.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\EBanf20\bin_xml\liste.xml" htmlbaseurl="" outputurl="" processortype="saxon" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext=""/></scenarios><MapperInfo srcSchemaPath="" srcSchemaRoot="" srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
</metaInformation>
-->