package remote;

public class CommandException extends Exception
{
	String _sMessage = null;
	Exception _exception = null;

	public CommandException(String sMessage)
	{
		_sMessage = sMessage;
	}

	public CommandException(String sMessage, Exception e)
	{
		_sMessage = sMessage + " " + e.getMessage();
		_exception = e;
	}

	public String getMessage()
	{
		return _sMessage;
	}

	public void printStackTrace()
	{
		System.out.println(this.getMessage() );

		if ( _exception != null)
		{
			_exception.printStackTrace();
		}
	}
}